/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
{"allo""comp""size"                                          ,"i"    ,"ugbm              ",allow_cmpsiz         ,0},
{"allo""obse""indi"                                          ,"i"    ,"ugbm              ",allow_obsiz          ,0},
{"allo""pedi""size"                                          ,"i"    ,"ugbmpkdirqvtalyesw",allow_pedsiz         ,0},
{"assi""gend"                                                ,""     ,"ugbmpkdirqvtalyesw",assign_gend          ,0},
{"assu""all" "obse"                                          ,""     ,"    p d           ",assum_all_obs        ,0},
{"chec""eige"                                                ,""     ,"ugbm              ",check_eigen          ,0},
{"chec""eige""comp"                                          ,""     ,"ugbm              ",check_eig_cmp        ,0},
{"chec""ginv"                                                ,""     ," gbm              ",check_ginv           ,0},
{"chec""gmat"                                                ,""     ,"u                 ",check_gmat           ,0},
{"chec""prog""mc"  "iter"                                    ,"i"    ,"          vtalyesw",check_mc_iter        ,0},
{"chec""trac"                                                ,""     ,"ugbm              ",check_trace          ,0},
{"comp""comp""inbr""coef"                                    ,"in"   ,"     k            ",cmpu_cinbreed        ,0},
{"comp""comp""kins""coef"                                    ,"in"   ,"     k            ",cmpu_ckinshp         ,0},
{"comp""comp""two-""inbr""coef"                              ,"in"   ,"     k            ",cmpu_c2_loc          ,0},
{"comp""eige"                                                ,""     ," gbm              ",comp_eigen           ,0},
{"comp""esti""time"                                          ,"i"    ,"         q        ",cmpu_est_n           ,0},
{"comp""ibd" "stat"                                          ,""     ,"           t      ",cmpu_ibdstat         ,0},
{"comp""inbr""coef"                                          ,"n"    ,"     k            ",cmpu_inbreed         ,0},
{"comp""kins""coef"                                          ,"n"    ,"     k            ",cmpu_kinshp          ,0},
{"comp""like""stat"                                          ,""     ,"         q t      ",cmpu_likstat         ,0},
{"comp""scor""ever""iter"                                    ,"i"    ,"          vtalyesw",cmpu_scor_iter       ,0},
{"comp""two-""inbr""coef"                                    ,"n"    ,"     k            ",cmpu_2_loc           ,0},
{"disp"                                                      ,""     ,"            a     ",disp_deflt           ,0},
{"disp""comp""indi"                                          ,"in"   ,"            a     ",disp_cp_indvs        ,0},
{"disp""ever""iter"                                          ,"i"    ,"            a     ",disp_iter            ,0},
{"disp""indi"                                                ,"n"    ,"            a     ",disp_indvs           ,0},
{"disp""labe"                                                ,""     ,"            a     ",disp_labls           ,0},
{"disp""segr"                                                ,""     ,"            a     ",disp_segrg           ,0},
{"fit" "addi""corr"                                          ,"k"    ,"   m              ",fit_addi             ,0},
{"fit" "addi""cova"                                          ,"k"    ,"   m              ",fit_addi             ,0},
{"fit" "envi""mode"                                          ,""     ,"   m              ",fit_no_gen           ,0},
{"fit" "resi""corr"                                          ,"k"    ,"   m              ",fit_resi             ,0},
{"fit" "resi""cova"                                          ,"k"    ,"   m              ",fit_resi             ,0},
{"igno""gend"                                                ,""     ,"ugbmpkdirqvtalyesw",ignor_gend           ,0},
{"inpu""eige""file"                                          ,"s"    ," gbm              ",in_eig_fil           ,0},
{"inpu""extr""file"                                          ,"s"    ,"ugbmpkdirqvtalyesw",in_xtra_fil          ,0},
{"inpu""mark""data""file"                                    ,"s"    ,"        rqvtalyesw",in_mrkdat_fil        ,0},
{"inpu""pedi""file"                                          ,"s"    ,"ugbmpkdirqvtalyesw",in_ped_fil           ,0},
{"inpu""pedi""reco""fath""moth"                              ,""     ,"ugbmpkdirqvtalyesw",in_ord_fath          ,0},
{"inpu""pedi""reco""gend""abse"                              ,""     ,"ugbmpkdirqvtalyesw",in_gend_abs          ,0},
{"inpu""pedi""reco""gend""pres"                              ,""     ,"ugbmpkdirqvtalyesw",in_gend_pres         ,0},
{"inpu""pedi""reco""inhe""inte""pair"                        ,"kk"   ,"        r         ",in_ped_inh_int2      ,0},
{"inpu""pedi""reco""inte"                                    ,"i"    ,"    pkdirqvtalyesw",in_ped_int           ,0},
{"inpu""pedi""reco""inte""real"                              ,"ii"   ,"ugbmpkdirqvtalyesw",in_ped_int_rl        ,0},
{"inpu""pedi""reco""moth""fath"                              ,""     ,"ugbmpkdirqvtalyesw",in_ord_moth          ,0},
{"inpu""pedi""reco""name"                                    ,"i"    ,"    pkdirqvt      ",in_ped_n             ,0},
{"inpu""pedi""reco""name""inte"                              ,"ii"   ,"    pkdirqvtalye  ",in_ped_n_i           ,0},
{"inpu""pedi""reco""name""inte""real"                        ,"iii"  ,"ugbmpkdirqvtalyesw",in_ped_n_i_r         ,0},
{"inpu""pedi""reco""name""real"                              ,"ii"   ,"ugbmpkdirqv    esw",in_ped_n_r           ,0},
{"inpu""pedi""reco""obse""abse"                              ,""     ,"    p d           ",in_obs_abs           ,0},
{"inpu""pedi""reco""obse""pres"                              ,""     ,"    p d           ",in_obs_pres          ,0},
{"inpu""pedi""reco""trai""inte"                              ,"kk"   ,"        r vtalye  ",in_ped_tr_int        ,0},
{"inpu""pedi""reco""trai""inte""pair"                        ,"kk"   ,"        r vtalye  ",in_ped_tr_int2       ,0},
{"inpu""pedi""reco""trai""real"                              ,"kk"   ,"               esw",in_ped_tr_real       ,0},
{"inpu""pedi""size"                                          ,"i"    ,"ugbmpkdirqvtalyesw",in_pedsiz            ,0},
{"inpu""peel""sequ""file"                                    ,"s"    ,"u        q        ",in_peel_fil          ,0},
{"inpu""resc""file"                                          ,"s"    ,"            al    ",in_resc_fil          ,0},
{"inpu""seed""file"                                          ,"s"    ,"      dirqvtalyesw",in_seed_fil          ,0},
{"limi""bree""iter"                                          ,"i"    ,"ugbm              ",lim_breed            ,0},
{"limi""em"  "iter"                                          ,"i"    ,"ugbm     q        ",lim_em_iter          ,0},
{"limi""reco""frac"                                          ,"r"    ,"         q        ",lim_rf               ,0},
{"map" "chro""gend""f"   "mark""dist"                        ,"ix"   ,"      dirqvtalyesw",map_mk_dH_cf         ,0},
{"map" "chro""gend""f"   "mark""kosa""dist"                  ,"ix"   ,"      dirqvtalyesw",map_mk_dK_cf         ,0},
{"map" "chro""gend""f"   "mark""kosa""posi"                  ,"ix"   ,"      dirqvtalyesw",map_mk_pK_cf         ,0},
{"map" "chro""gend""f"   "mark""posi"                        ,"ix"   ,"      dirqvtalyesw",map_mk_pH_cf         ,0},
{"map" "chro""gend""f"   "mark""reco""frac"                  ,"ix"   ,"      dirqvtalyesw",map_mk_rf_cf         ,0},
{"map" "chro""gend""f"   "test""tloc""all" "inte""prop"      ,"iix"  ,"             lyesw",map_tl_tst_ipa_cf    ,0},
{"map" "chro""gend""f"   "test""tloc""begi""dist"            ,"iix"  ,"             lyesw",map_tl_tst_ib_dH_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""begi""kosa""dist"      ,"iix"  ,"             lyesw",map_tl_tst_ib_dK_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""begi""reco""frac"      ,"iix"  ,"             lyesw",map_tl_tst_ib_rf_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""endi""dist"            ,"iix"  ,"             lyesw",map_tl_tst_ie_dH_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""endi""kosa""dist"      ,"iix"  ,"             lyesw",map_tl_tst_ie_dK_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""endi""reco""frac"      ,"iix"  ,"             lyesw",map_tl_tst_ie_rf_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""exte""dist"            ,"iix"  ,"             lyesw",map_tl_tst_ix_dH_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""exte""kosa""dist"      ,"iix"  ,"             lyesw",map_tl_tst_ix_dK_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""exte""reco""frac"      ,"iix"  ,"             lyesw",map_tl_tst_ix_rf_cf  ,0},
{"map" "chro""gend""f"   "test""tloc""inte""prop"            ,"iikx" ,"             lyesw",map_tl_tst_ip_cf     ,0},
{"map" "chro""gend""f"   "test""tloc""join""kosa""posi"      ,"iiix" ,"             lyesw",map_tl_tst_jnt_pK_cf ,0},
{"map" "chro""gend""f"   "test""tloc""join""posi"            ,"iiix" ,"             lyesw",map_tl_tst_jnt_pH_cf ,0},
{"map" "chro""gend""f"   "test""tloc""join""unli""kosa""posi","iiix" ,"             lyesw",map_tl_tst_jntu_pK_cf,0},
{"map" "chro""gend""f"   "test""tloc""join""unli""posi"      ,"iiix" ,"             lyesw",map_tl_tst_jntu_pH_cf,0},
{"map" "chro""gend""f"   "test""tloc""kosa""posi"            ,"iix"  ,"             lyesw",map_tl_tst_pK_cf     ,0},
{"map" "chro""gend""f"   "test""tloc""posi"                  ,"iix"  ,"             lyesw",map_tl_tst_pH_cf     ,0},
{"map" "chro""gend""f"   "tloc""kosa""posi"                  ,"ikx"  ,"             lyesw",map_tl_pK_cf         ,0},
{"map" "chro""gend""f"   "tloc""mark""dist"                  ,"ikkx" ,"      dir   a     ",map_tl_mk_dH_cf      ,0},
{"map" "chro""gend""f"   "tloc""mark""kosa""dist"            ,"ikkx" ,"      dir   a     ",map_tl_mk_dK_cf      ,0},
{"map" "chro""gend""f"   "tloc""mark""reco""frac"            ,"ikkx" ,"      dir   a     ",map_tl_mk_rf_cf      ,0},
{"map" "chro""gend""f"   "tloc""posi"                        ,"ikx"  ,"             lyesw",map_tl_pH_cf         ,0},
{"map" "chro""gend""m"   "mark""dist"                        ,"ix"   ,"      dirqvtalyesw",map_mk_dH_cm         ,0},
{"map" "chro""gend""m"   "mark""kosa""dist"                  ,"ix"   ,"      dirqvtalyesw",map_mk_dK_cm         ,0},
{"map" "chro""gend""m"   "mark""kosa""posi"                  ,"ix"   ,"      dirqvtalyesw",map_mk_pK_cm         ,0},
{"map" "chro""gend""m"   "mark""posi"                        ,"ix"   ,"      dirqvtalyesw",map_mk_pH_cm         ,0},
{"map" "chro""gend""m"   "mark""reco""frac"                  ,"ix"   ,"      dirqvtalyesw",map_mk_rf_cm         ,0},
{"map" "chro""gend""m"   "test""tloc""all" "inte""prop"      ,"iix"  ,"             lyesw",map_tl_tst_ipa_cm    ,0},
{"map" "chro""gend""m"   "test""tloc""begi""dist"            ,"iix"  ,"             lyesw",map_tl_tst_ib_dH_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""begi""kosa""dist"      ,"iix"  ,"             lyesw",map_tl_tst_ib_dK_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""begi""reco""frac"      ,"iix"  ,"             lyesw",map_tl_tst_ib_rf_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""endi""dist"            ,"iix"  ,"             lyesw",map_tl_tst_ie_dH_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""endi""kosa""dist"      ,"iix"  ,"             lyesw",map_tl_tst_ie_dK_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""endi""reco""frac"      ,"iix"  ,"             lyesw",map_tl_tst_ie_rf_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""exte""dist"            ,"iix"  ,"             lyesw",map_tl_tst_ix_dH_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""exte""kosa""dist"      ,"iix"  ,"             lyesw",map_tl_tst_ix_dK_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""exte""reco""frac"      ,"iix"  ,"             lyesw",map_tl_tst_ix_rf_cm  ,0},
{"map" "chro""gend""m"   "test""tloc""inte""prop"            ,"iikx" ,"             lyesw",map_tl_tst_ip_cm     ,0},
{"map" "chro""gend""m"   "test""tloc""join""kosa""posi"      ,"iiix" ,"             lyesw",map_tl_tst_jnt_pK_cm ,0},
{"map" "chro""gend""m"   "test""tloc""join""posi"            ,"iiix" ,"             lyesw",map_tl_tst_jnt_pH_cm ,0},
{"map" "chro""gend""m"   "test""tloc""kosa""posi"            ,"iix"  ,"             lyesw",map_tl_tst_pK_cm     ,0},
{"map" "chro""gend""m"   "test""tloc""posi"                  ,"iix"  ,"             lyesw",map_tl_tst_pH_cm     ,0},
{"map" "chro""gend""m"   "test""tloc""unli""tloc""kosa""posi","iiix" ,"             lyesw",map_tl_tst_jntu_pK_cm,0},
{"map" "chro""gend""m"   "test""tloc""unli""tloc""posi"      ,"iiix" ,"             lyesw",map_tl_tst_jntu_pH_cm,0},
{"map" "chro""gend""m"   "tloc""kosa""posi"                  ,"ikx"  ,"             lyesw",map_tl_pK_cm         ,0},
{"map" "chro""gend""m"   "tloc""mark""dist"                  ,"ikkx" ,"      dir   a     ",map_tl_mk_dH_cm      ,0},
{"map" "chro""gend""m"   "tloc""mark""kosa""dist"            ,"ikkx" ,"      dir   a     ",map_tl_mk_dK_cm      ,0},
{"map" "chro""gend""m"   "tloc""mark""reco""frac"            ,"ikkx" ,"      dir   a     ",map_tl_mk_rf_cm      ,0},
{"map" "chro""gend""m"   "tloc""posi"                        ,"ikx"  ,"             lyesw",map_tl_pH_cm         ,0},
{"map" "chro""mark""dist"                                    ,"ix"   ,"      dirqvtalyesw",map_mk_dH_c          ,0},
{"map" "chro""mark""kosa""dist"                              ,"ix"   ,"      dirqvtalyesw",map_mk_dK_c          ,0},
{"map" "chro""mark""kosa""posi"                              ,"ix"   ,"      dirqvtalyesw",map_mk_pK_c          ,0},
{"map" "chro""mark""posi"                                    ,"ix"   ,"      dirqvtalyesw",map_mk_pH_c          ,0},
{"map" "chro""mark""reco""frac"                              ,"ix"   ,"      dirqvtalyesw",map_mk_rf_c          ,0},
{"map" "chro""test""tloc""all" "inte""prop"                  ,"iix"  ,"             lyesw",map_tl_tst_ipa_c     ,0},
{"map" "chro""test""tloc""begi""dist"                        ,"iix"  ,"             lyesw",map_tl_tst_ib_dH_c   ,0},
{"map" "chro""test""tloc""begi""kosa""dist"                  ,"iix"  ,"             lyesw",map_tl_tst_ib_dK_c   ,0},
{"map" "chro""test""tloc""begi""reco""frac"                  ,"iix"  ,"             lyesw",map_tl_tst_ib_rf_c   ,0},
{"map" "chro""test""tloc""endi""dist"                        ,"iix"  ,"             lyesw",map_tl_tst_ie_dH_c   ,0},
{"map" "chro""test""tloc""endi""kosa""dist"                  ,"iix"  ,"             lyesw",map_tl_tst_ie_dK_c   ,0},
{"map" "chro""test""tloc""endi""reco""frac"                  ,"iix"  ,"             lyesw",map_tl_tst_ie_rf_c   ,0},
{"map" "chro""test""tloc""exte""dist"                        ,"iix"  ,"             lyesw",map_tl_tst_ix_dH_c   ,0},
{"map" "chro""test""tloc""exte""kosa""dist"                  ,"iix"  ,"             lyesw",map_tl_tst_ix_dK_c   ,0},
{"map" "chro""test""tloc""exte""reco""frac"                  ,"iix"  ,"             lyesw",map_tl_tst_ix_rf_c   ,0},
{"map" "chro""test""tloc""inte""prop"                        ,"iikx" ,"             lyesw",map_tl_tst_ip_c      ,0},
{"map" "chro""test""tloc""join""kosa""posi"                  ,"iiix" ,"             lyesw",map_tl_tst_jnt_pK_c  ,0},
{"map" "chro""test""tloc""join""posi"                        ,"iiix" ,"             lyesw",map_tl_tst_jnt_pH_c  ,0},
{"map" "chro""test""tloc""kosa""posi"                        ,"iix"  ,"             lyesw",map_tl_tst_pK_c      ,0},
{"map" "chro""test""tloc""no"  "defa""exte""posi"            ,"ik"   ,"             lyesw",map_tl_tst_no_xp_c   ,0},
{"map" "chro""test""tloc""no"  "defa""inte""prop"            ,"ik"   ,"             lyesw",map_tl_tst_no_ip_c   ,0},
{"map" "chro""test""tloc""posi"                              ,"iix"  ,"             lyesw",map_tl_tst_pH_c      ,0},
{"map" "chro""test""tloc""unli""tloc""kosa""posi"            ,"iiix" ,"             lyesw",map_tl_tst_jntu_pK_c ,0},
{"map" "chro""test""tloc""unli""tloc""posi"                  ,"iiix" ,"             lyesw",map_tl_tst_jntu_pH_c ,0},
{"map" "chro""tloc""kosa""posi"                              ,"ikx"  ,"             lyesw",map_tl_pK_c          ,0},
{"map" "chro""tloc""mark""dist"                              ,"ikkx" ,"      dir   a     ",map_tl_mk_dH_c       ,0},
{"map" "chro""tloc""mark""kosa""dist"                        ,"ikkx" ,"      dir   a     ",map_tl_mk_dK_c       ,0},
{"map" "chro""tloc""mark""reco""frac"                        ,"ikkx" ,"      dir   a     ",map_tl_mk_rf_c       ,0},
{"map" "chro""tloc""posi"                                    ,"ikx"  ,"             lyesw",map_tl_pH_c          ,0},
{"map" "gend""f"   "mark""dist"                              ,"x"    ,"      dirqvtalyesw",map_mk_dH_0f         ,0},
{"map" "gend""f"   "mark""kosa""dist"                        ,"x"    ,"      dirqvtalyesw",map_mk_dK_0f         ,0},
{"map" "gend""f"   "mark""kosa""posi"                        ,"x"    ,"      dirqvtalyesw",map_mk_pK_0f         ,0},
{"map" "gend""f"   "mark""posi"                              ,"x"    ,"      dirqvtalyesw",map_mk_pH_0f         ,0},
{"map" "gend""f"   "mark""reco""frac"                        ,"x"    ,"      dirqvtalyesw",map_mk_rf_0f         ,0},
{"map" "gend""f"   "test""tloc""all" "inte""prop"            ,"ix"   ,"             lyesw",map_tl_tst_ipa_0f    ,0},
{"map" "gend""f"   "test""tloc""begi""dist"                  ,"ix"   ,"             lyesw",map_tl_tst_ib_dH_0f  ,0},
{"map" "gend""f"   "test""tloc""begi""kosa""dist"            ,"ix"   ,"             lyesw",map_tl_tst_ib_dK_0f  ,0},
{"map" "gend""f"   "test""tloc""begi""reco""frac"            ,"ix"   ,"             lyesw",map_tl_tst_ib_rf_0f  ,0},
{"map" "gend""f"   "test""tloc""endi""dist"                  ,"ix"   ,"             lyesw",map_tl_tst_ie_dH_0f  ,0},
{"map" "gend""f"   "test""tloc""endi""kosa""dist"            ,"ix"   ,"             lyesw",map_tl_tst_ie_dK_0f  ,0},
{"map" "gend""f"   "test""tloc""endi""reco""frac"            ,"ix"   ,"             lyesw",map_tl_tst_ie_rf_0f  ,0},
{"map" "gend""f"   "test""tloc""exte""dist"                  ,"ix"   ,"             lyesw",map_tl_tst_ix_dH_0f  ,0},
{"map" "gend""f"   "test""tloc""exte""kosa""dist"            ,"ix"   ,"             lyesw",map_tl_tst_ix_dK_0f  ,0},
{"map" "gend""f"   "test""tloc""exte""reco""frac"            ,"ix"   ,"             lyesw",map_tl_tst_ix_rf_0f  ,0},
{"map" "gend""f"   "test""tloc""inte""prop"                  ,"iikx" ,"             lyesw",map_tl_tst_ip_0f     ,0},
{"map" "gend""f"   "test""tloc""join""kosa""posi"            ,"iix"  ,"             lyesw",map_tl_tst_jnt_pK_0f ,0},
{"map" "gend""f"   "test""tloc""join""posi"                  ,"iix"  ,"             lyesw",map_tl_tst_jnt_pH_0f ,0},
{"map" "gend""f"   "test""tloc""kosa""posi"                  ,"ix"   ,"             lyesw",map_tl_tst_pK_0f     ,0},
{"map" "gend""f"   "test""tloc""posi"                        ,"ix"   ,"             lyesw",map_tl_tst_pH_0f     ,0},
{"map" "gend""f"   "test""tloc""unli""tloc""kosa""posi"      ,"iix"  ,"             lyesw",map_tl_tst_jntu_pK_0f,0},
{"map" "gend""f"   "test""tloc""unli""tloc""posi"            ,"iix"  ,"             lyesw",map_tl_tst_jntu_pH_0f,0},
{"map" "gend""f"   "tloc""kosa""posi"                        ,"kx"   ,"             lyesw",map_tl_pK_0f         ,0},
{"map" "gend""f"   "tloc""mark""dist"                        ,"kkx"  ,"      dir   a     ",map_tl_mk_dH_0f      ,0},
{"map" "gend""f"   "tloc""mark""kosa""dist"                  ,"kkx"  ,"      dir   a     ",map_tl_mk_dK_0f      ,0},
{"map" "gend""f"   "tloc""mark""reco""frac"                  ,"kkx"  ,"      dir   a     ",map_tl_mk_rf_0f      ,0},
{"map" "gend""f"   "tloc""posi"                              ,"kx"   ,"             lyesw",map_tl_pH_0f         ,0},
{"map" "gend""m"   "mark""dist"                              ,"x"    ,"      dirqvtalyesw",map_mk_dH_0m         ,0},
{"map" "gend""m"   "mark""kosa""dist"                        ,"x"    ,"      dirqvtalyesw",map_mk_dK_0m         ,0},
{"map" "gend""m"   "mark""kosa""posi"                        ,"x"    ,"      dirqvtalyesw",map_mk_pK_0m         ,0},
{"map" "gend""m"   "mark""posi"                              ,"x"    ,"      dirqvtalyesw",map_mk_pH_0m         ,0},
{"map" "gend""m"   "mark""reco""frac"                        ,"x"    ,"      dirqvtalyesw",map_mk_rf_0m         ,0},
{"map" "gend""m"   "test""tloc""all" "inte""prop"            ,"ix"   ,"             lyesw",map_tl_tst_ipa_0m    ,0},
{"map" "gend""m"   "test""tloc""begi""dist"                  ,"ix"   ,"             lyesw",map_tl_tst_ib_dH_0m  ,0},
{"map" "gend""m"   "test""tloc""begi""kosa""dist"            ,"ix"   ,"             lyesw",map_tl_tst_ib_dK_0m  ,0},
{"map" "gend""m"   "test""tloc""begi""reco""frac"            ,"ix"   ,"             lyesw",map_tl_tst_ib_rf_0m  ,0},
{"map" "gend""m"   "test""tloc""endi""dist"                  ,"ix"   ,"             lyesw",map_tl_tst_ie_dH_0m  ,0},
{"map" "gend""m"   "test""tloc""endi""kosa""dist"            ,"ix"   ,"             lyesw",map_tl_tst_ie_dK_0m  ,0},
{"map" "gend""m"   "test""tloc""endi""reco""frac"            ,"ix"   ,"             lyesw",map_tl_tst_ie_rf_0m  ,0},
{"map" "gend""m"   "test""tloc""exte""dist"                  ,"ix"   ,"             lyesw",map_tl_tst_ix_dH_0m  ,0},
{"map" "gend""m"   "test""tloc""exte""kosa""dist"            ,"ix"   ,"             lyesw",map_tl_tst_ix_dK_0m  ,0},
{"map" "gend""m"   "test""tloc""exte""reco""frac"            ,"ix"   ,"             lyesw",map_tl_tst_ix_rf_0m  ,0},
{"map" "gend""m"   "test""tloc""inte""prop"                  ,"ikx"  ,"             lyesw",map_tl_tst_ip_0m     ,0},
{"map" "gend""m"   "test""tloc""join""kosa""posi"            ,"iix"  ,"             lyesw",map_tl_tst_jnt_pK_0m ,0},
{"map" "gend""m"   "test""tloc""join""posi"                  ,"iix"  ,"             lyesw",map_tl_tst_jnt_pH_0m ,0},
{"map" "gend""m"   "test""tloc""kosa""posi"                  ,"ix"   ,"             lyesw",map_tl_tst_pK_0m     ,0},
{"map" "gend""m"   "test""tloc""posi"                        ,"ix"   ,"             lyesw",map_tl_tst_pH_0m     ,0},
{"map" "gend""m"   "test""tloc""unli""tloc""kosa""posi"      ,"iix"  ,"             lyesw",map_tl_tst_jntu_pK_0m,0},
{"map" "gend""m"   "test""tloc""unli""tloc""posi"            ,"iix"  ,"             lyesw",map_tl_tst_jntu_pH_0m,0},
{"map" "gend""m"   "tloc""kosa""posi"                        ,"kx"   ,"             lyesw",map_tl_pK_0m         ,0},
{"map" "gend""m"   "tloc""mark""dist"                        ,"kkx"  ,"      dir   a     ",map_tl_mk_dH_0m      ,0},
{"map" "gend""m"   "tloc""mark""kosa""dist"                  ,"kkx"  ,"      dir   a     ",map_tl_mk_dK_0m      ,0},
{"map" "gend""m"   "tloc""mark""reco""frac"                  ,"kkx"  ,"      dir   a     ",map_tl_mk_rf_0m      ,0},
{"map" "gend""m"   "tloc""posi"                              ,"kx"   ,"             lyesw",map_tl_pH_0m         ,0},
{"map" "mark""dist"                                          ,"x"    ,"      dirqvtalyesw",map_mk_dH_0          ,0},
{"map" "mark""kosa""dist"                                    ,"x"    ,"      dirqvtalyesw",map_mk_dK_0          ,0},
{"map" "mark""kosa""posi"                                    ,"x"    ,"      dirqvtalyesw",map_mk_pK_0          ,0},
{"map" "mark""posi"                                          ,"x"    ,"      dirqvtalyesw",map_mk_pH_0          ,0},
{"map" "mark""reco""frac"                                    ,"x"    ,"      dirqvtalyesw",map_mk_rf_0          ,0},
{"map" "test""tloc""all" "inte""prop"                        ,"ix"   ,"             lyesw",map_tl_tst_ipa_0     ,0},
{"map" "test""tloc""begi""dist"                              ,"ix"   ,"             lyesw",map_tl_tst_ib_dH_0   ,0},
{"map" "test""tloc""begi""kosa""dist"                        ,"ix"   ,"             lyesw",map_tl_tst_ib_dK_0   ,0},
{"map" "test""tloc""begi""reco""frac"                        ,"ix"   ,"             lyesw",map_tl_tst_ib_rf_0   ,0},
{"map" "test""tloc""endi""dist"                              ,"ix"   ,"             lyesw",map_tl_tst_ie_dH_0   ,0},
{"map" "test""tloc""endi""kosa""dist"                        ,"ix"   ,"             lyesw",map_tl_tst_ie_dK_0   ,0},
{"map" "test""tloc""endi""reco""frac"                        ,"ix"   ,"             lyesw",map_tl_tst_ie_rf_0   ,0},
{"map" "test""tloc""exte""dist"                              ,"ix"   ,"             lyesw",map_tl_tst_ix_dH_0   ,0},
{"map" "test""tloc""exte""kosa""dist"                        ,"ix"   ,"             lyesw",map_tl_tst_ix_dK_0   ,0},
{"map" "test""tloc""exte""reco""frac"                        ,"ix"   ,"             lyesw",map_tl_tst_ix_rf_0   ,0},
{"map" "test""tloc""inte""prop"                              ,"ikx"  ,"             lyesw",map_tl_tst_ip_0      ,0},
{"map" "test""tloc""join""kosa""posi"                        ,"iix"  ,"             lyesw",map_tl_tst_jnt_pK_0  ,0},
{"map" "test""tloc""join""posi"                              ,"iix"  ,"             lyesw",map_tl_tst_jnt_pH_0  ,0},
{"map" "test""tloc""kosa""posi"                              ,"ix"   ,"             lyesw",map_tl_tst_pK_0      ,0},
{"map" "test""tloc""no"  "defa""exte""posi"                  ,"k"    ,"             lyesw",map_tl_tst_no_xp     ,0},
{"map" "test""tloc""no"  "defa""inte""prop"                  ,"k"    ,"             lyesw",map_tl_tst_no_ip     ,0},
{"map" "test""tloc""posi"                                    ,"ix"   ,"             lyesw",map_tl_tst_pH_0      ,0},
{"map" "test""tloc""unli""tloc""kosa""posi"                  ,"iix"  ,"             lyesw",map_tl_tst_jntu_pK_0 ,0},
{"map" "test""tloc""unli""tloc""posi"                        ,"iix"  ,"             lyesw",map_tl_tst_jntu_pH_0 ,0},
{"map" "tloc""kosa""posi"                                    ,"kx"   ,"             lyesw",map_tl_pK_0          ,0},
{"map" "tloc""mark""dist"                                    ,"kkx"  ,"      dir   a     ",map_tl_mk_dH_0       ,0},
{"map" "tloc""mark""kosa""dist"                              ,"kkx"  ,"      dir   a     ",map_tl_mk_dK_0       ,0},
{"map" "tloc""mark""reco""frac"                              ,"kkx"  ,"      dir   a     ",map_tl_mk_rf_0       ,0},
{"map" "tloc""posi"                                          ,"kx"   ,"             lyesw",map_tl_pH_0          ,0},
{"map" "tloc""unli"                                          ,"k"    ,"      di    a     ",map_tl_unlnkd        ,0},
{"outp""extr""file"                                          ,"s"    ,"ugbmpkdirqvtalyesw",out_xtra_fil         ,0},
{"outp""fina""adju""phen"                                    ,""     ,"   m              ",out_fin_pheno        ,0},
{"outp""maps""gend""aver"                                    ,""     ,"         q        ",out_maps_avg         ,0},
{"outp""maps""gend""aver""spec"                              ,""     ,"         q        ",out_maps_both        ,0},
{"outp""maps""gend""spec"                                    ,""     ,"         q        ",out_maps_spc         ,0},
{"outp""mark""seed""only"                                    ,""     ,"      d r         ",out_mark_seeds       ,0},
{"outp""over""extr""file"                                    ,"s"    ,"ugbmpkdirqvtalyesw",out_rw_xtra_fil      ,0},
{"outp""over""pedi""file"                                    ,"s"    ,"ugbmpkdirqvtalyesw",out_rw_ped_fil       ,0},
{"outp""over""seed""file"                                    ,"s"    ,"      dirqvtalyesw",out_rw_seed_fil      ,0},
{"outp""pedi""chro"                                          ,""     ,"    p d           ",out_chron            ,0},
{"outp""pedi""file"                                          ,"s"    ,"ugbmpkdirqvtalyesw",out_ped_fil          ,0},
{"outp""pedi""reco""fath""moth"                              ,""     ,"    p d           ",out_ord_fath         ,0},
{"outp""pedi""reco""foun""gene""labe"                        ,""     ,"      d           ",out_found_labs       ,0},
{"outp""pedi""reco""moth""fath"                              ,""     ,"    p d           ",out_ord_moth         ,0},
{"outp""pedi""reco""trai""late""vari"                        ,""     ,"      d           ",out_tr_vars          ,0},
{"outp""pedi""reco""unob""vari"                              ,""     ,"      d           ",out_unobs            ,0},
{"outp""perm""seed""only"                                    ,""     ,"           t      ",out_perm_seeds       ,0},
{"outp""rao-""esti""file"                                    ,"s"    ,"              y   ",out_rb_est_fil       ,0},
{"outp""resc""file"                                          ,"s"    ,"            al    ",out_resc_fil         ,0},
{"outp""samp""seed""only"                                    ,""     ,"           t      ",out_samp_seeds       ,0},
{"outp""scor""ever""mc"  "iter"                              ,"i"    ,"            a  e  ",out_scor_iter        ,0},
{"outp""scor""file"                                          ,"s"    ,"            a  e  ",out_scor_fil         ,0},
{"outp""seed""file"                                          ,"s"    ,"      dirqvtalyesw",out_seed_fil         ,0},
{"outp""spac""em"  "iter"                                    ,"i"    ,"ugbm              ",out_space            ,0},
{"outp""stat""corr"                                          ,""     ,"   m              ",out_corr             ,0},
{"outp""stat""cova"                                          ,""     ,"   m              ",out_covar            ,0},
{"outp""trai""seed""only"                                    ,""     ,"      d r         ",out_trait_seeds      ,0},
{"samp""by"  "scan"                                          ,""     ,"         qvtalyesw",sampl_by_scan        ,0},
{"samp""by"  "step"                                          ,""     ,"         qvtal esw",sampl_by_step        ,0},
{"sele""all" "mark"                                          ,""     ,"         qvtalyesw",sel_mk_all           ,0},
{"sele""chro""all" "mark"                                    ,"i"    ,"         qvtalyesw",sel_mk_c_all         ,0},
{"sele""chro""mark"                                          ,"ik"   ,"         qvtalyesw",sel_mk_c             ,0},
{"sele""inhe"                                                ,"k"    ,"        r         ",sel_inh              ,0},
{"sele""mark"                                                ,"k"    ,"         qvtalyesw",sel_mk               ,0},
{"sele""trai"                                                ,"k"    ,"ugbm    r vtalyesw",sel_tr               ,0},
{"set" "batc""mc"  "vari""esti"                              ,"i"    ,"               e  ",set_batches_ve       ,0},
{"set" "bree""conv"                                          ,"r"    ,"ugbm              ",set_br_conv          ,0},
{"set" "burn""iter"                                          ,"i"    ,"         qvtalye w",set_burn_iter        ,0},
{"set" "chro""locu""wind"                                    ,"ii"   ,"       i    a     ",set_cloc_wind        ,0},
{"set" "chro""mark""data"                                    ,"iia"  ,"        rqvtalyesw",set_cmark_dat        ,0},
{"set" "chro""mark""alle""freq"                              ,"ikx"  ,"      d rqvtalyesw",set_allefrq_mk_c     ,0},
{"set" "chro""mark""name"                                    ,"in"   ,"       irqvtalyesw",set_cmark_nams       ,0},
{"set" "comp""prob""game"                                    ,"ig"   ,"       i    a     ",set_cp_prbgam        ,0},
{"set" "comp""scor""prob""game"                              ,"iig"  ,"       i    a     ",set_cs_prbgam        ,0},
{"set" "comp""scor""wind""patt"                              ,"iik"  ,"            a     ",set_cs_windpat       ,0},
{"set" "comp""wind""patt"                                    ,"ik"   ,"            a     ",set_cp_windpat       ,0},
{"set" "debu""cmf"                                           ,""     ,"ugbmpkdirqvtalyesw",set_debugcmf         ,0},
{"set" "debu""gldi"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debuggldisp      ,0},
{"set" "debu""main"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugmain        ,0},
{"set" "debu""mark"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugmarkrs      ,0},
{"set" "debu""nghd"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugnghds       ,0},
{"set" "debu""pars"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugpars        ,0},
{"set" "debu""pedc"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugpedchk      ,0},
{"set" "debu""peel"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugpeel        ,0},
{"set" "debu""quan"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugquant       ,0},
{"set" "debu""rans"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugrans        ,0},
{"set" "debu""samp"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugsample      ,0},
{"set" "debu""stuf"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugstuff       ,0},
{"set" "debu""twoq"                                          ,""     ,"ugbmpkdirqvtalyesw",set_debugtwoqtl      ,0},
{"set" "eige"                                                ,"x"    ," gbm              ",set_eigen            ,0},
{"set" "em"  "conv"                                          ,"r"    ,"         q        ",set_em_conv          ,0},
{"set" "geno""erro""rate"                                    ,"r"    ,"         q        ",set_geno_errat       ,0},
{"set" "glob""mcmc"                                          ,""     ,"               e  ",set_global_mcmc      ,0},
{"set" "ibd" "meas""maxf"                                    ,""     ,"          v       ",set_ibd_meas5        ,0},
{"set" "ibd" "meas""maxf""spai"                              ,""     ,"                  ",set_ibd_meas51       ,0},
{"set" "ibd" "meas""maxf""spai""srob"                        ,""     ,"                  ",set_ibd_meas512      ,0},
{"set" "ibd" "meas""maxf""srob"                              ,""     ,"                  ",set_ibd_meas52       ,0},
{"set" "ibd" "meas""saff"                                    ,""     ,"           t      ",set_ibd_meas3        ,0},
{"set" "ibd" "meas""saff""slam"                              ,""     ,"           t      ",set_ibd_meas34       ,0},
{"set" "ibd" "meas""slam"                                    ,""     ,"           t      ",set_ibd_meas4        ,0},
{"set" "ibd" "meas""spai"                                    ,""     ,"          vt      ",set_ibd_meas1        ,0},
{"set" "ibd" "meas""spai""saff"                              ,""     ,"           t      ",set_ibd_meas13       ,0},
{"set" "ibd" "meas""spai""saff""slam"                        ,""     ,"           t      ",set_ibd_meas134      ,0},
{"set" "ibd" "meas""spai""slam"                              ,""     ,"           t      ",set_ibd_meas14       ,0},
{"set" "ibd" "meas""spai""srob"                              ,""     ,"           t      ",set_ibd_meas12       ,0},
{"set" "ibd" "meas""spai""srob""saff"                        ,""     ,"           t      ",set_ibd_meas123      ,0},
{"set" "ibd" "meas""spai""srob""saff""slam"                  ,""     ,"           t      ",set_ibd_measall      ,0},
{"set" "ibd" "meas""spai""srob""slam"                        ,""     ,"           t      ",set_ibd_meas124      ,0},
{"set" "ibd" "meas""srob"                                    ,""     ,"          vt      ",set_ibd_meas2        ,0},
{"set" "ibd" "meas""srob""saff"                              ,""     ,"           t      ",set_ibd_meas23       ,0},
{"set" "ibd" "meas""srob""saff""slam"                        ,""     ,"           t      ",set_ibd_meas234      ,0},
{"set" "ibd" "meas""srob""slam"                              ,""     ,"           t      ",set_ibd_meas24       ,0},
{"set" "ibd" "perm"                                          ,"i"    ,"           t      ",set_ibd_perm         ,0},
{"set" "ibd" "test""norm"                                    ,""     ,"           t      ",set_ibd_test1        ,0},
{"set" "ibd" "test""norm""perm"                              ,""     ,"           t      ",set_ibd_test12       ,0},
{"set" "ibd" "test""perm"                                    ,""     ,"           t      ",set_ibd_test2        ,0},
{"set" "inco""pene"                                          ,"x"    ,"        r   alyesw",set_incmplt_pen      ,0},
{"set" "inhe""tloc"                                          ,"kk"   ,"        r         ",set_inh_tl           ,0},
{"set" "l-sa""prob"                                          ,"r"    ,"         qvtalyesw",set_lsmpl_prob       ,0},
{"set" "like""lamb""mode""grid"                              ,"ii"   ,"           t      ",set_like_grdpts      ,0},
{"set" "like""meas""delt"                                    ,""     ,"           t      ",set_like_meas6       ,0},
{"set" "like""meas""delt""lamb"                              ,""     ,"           t      ",set_like_meas67      ,0},
{"set" "like""meas""lamb"                                    ,""     ,"           t      ",set_like_meas7       ,0},
{"set" "like""test""chi-"                                    ,""     ,"           t      ",set_like_test3       ,0},
{"set" "locu""wind"                                          ,"i"    ,"       i    a     ",set_loc_wind         ,0},
{"set" "lrt" "stat""iter"                                    ,"i"    ,"         q        ",set_lrt_iter         ,0},
{"set" "map" "esti""mode""with""mist"                        ,""     ,"         q        ",set_map_mistyp       ,0},
{"set" "map" "esti""mode""with""no"  "mist"                  ,""     ,"         q        ",set_map_nmistyp      ,0},
{"set" "mark""data"                                          ,"ia"   ,"        rqvtalyesw",set_mark_dat         ,0},
{"set" "mark""alle""freq"                                    ,"kx"   ,"      d rqvtalyesw",set_allefrq_mk       ,0},
{"set" "mark""name"                                          ,"n"    ,"       irqvtalyesw",set_mark_nams        ,0},
{"set" "mark""seed"                                          ,"hh"   ,"      d r         ",set_mark_seeds       ,0},
{"set" "mc"  "iter"                                          ,"i"    ,"       i qvtalyesw",set_mc_iter          ,0},
{"set" "norm""alle""freq"                                    ,""     ,"      d rqvtalyesw",set_allefrq_norm     ,0},
{"set" "peel""by"  "comp"                                    ,""     ,"               e  ",set_peel_comp        ,0},
{"set" "peel""seq"                                           ,"x"    ,"                  ",not_impl             ,0},
{"set" "perm""seed"                                          ,"hh"   ,"           t      ",set_perm_seeds       ,0},
{"set" "prin"                                                ,"i"    ,"ugbmpkdirqvtalyesw",set_printlevel       ,0},
{"set" "prob""game"                                          ,"g"    ,"       i    a     ",set_prbgam           ,0},
{"set" "pseu"                                                ,"x"    ,"              y   ",set_pseudo_pr        ,0},
{"set" "pseu""iter"                                          ,"i"    ,"              y   ",set_prel_iter        ,0},
{"set" "reco""freq"                                          ,"x"    ,"     k            ",set_reco_frq         ,0},
{"set" "resi""corr"                                          ,""     ,"      d           ",not_impl             ,0},
{"set" "resi""cova"                                          ,""     ,"      d           ",not_impl             ,0},
{"set" "sa"  "asce""iter"                                    ,"i"    ,"         q        ",set_ascent_iter      ,0},
{"set" "sa"  "conv"                                          ,"r"    ,"         q        ",set_sa_conv          ,0},
{"set" "sa"  "curv""iter"                                    ,"i"    ,"         q        ",set_curv_iter        ,0},
{"set" "sa"  "grad""iter"                                    ,"i"    ,"         q        ",set_grad_iter        ,0},
{"set" "samp""seed"                                          ,"hh"   ,"       i qvtalyesw",set_sampl_seeds      ,0},
{"set" "scor""prob""game"                                    ,"ig"   ,"       i    a     ",set_sc_prbgam        ,0},
{"set" "scor""wind""patt"                                    ,"ik"   ,"            a     ",set_sc_windpat       ,0},
{"set" "sequ""impu""prop""ever""iter"                        ,"i"    ,"              y   ",set_sqimp_prop       ,0},
{"set" "test""posi""wind"                                    ,"i"    ,"              y   ",set_tstpos_wind      ,0},
{"set" "tloc""alle""freq"                                    ,"kx"   ,"      d r   alyesw",set_allefrq_tl       ,0},
{"set" "tloc""imc" "alle""freq"                              ,"kx"   ,"                 w",set_allefrq_tl_imc   ,0},
{"set" "trai""addi""vari"                                    ,"kr"   ,"      d        esw",set_addi_var         ,0},
{"set" "trai""data""disc"                                    ,""     ,"        r vtalye  ",set_trait_disc       ,0},
{"set" "trai""data""disc""with""cova"                        ,""     ,"              ye  ",set_trait_logistic   ,0},
{"set" "trai""data""disc""with""liab"                        ,""     ,"              ye  ",set_trait_liab       ,0},
{"set" "trai""data""geno"                                    ,""     ,"          vtalye  ",set_trait_geno       ,0},
{"set" "trai""data""quan"                                    ,""     ,"               esw",set_trait_quant      ,0},
{"set" "trai""effe"                                          ,"ik"   ,"ugbm              ",set_tr_eff           ,0},
{"set" "trai""mult""tloc"                                    ,"kk"   ,"                 w",set_tr_tl_mlt        ,0},
{"set" "trai""resi""vari"                                    ,"kr"   ,"      d        esw",set_resi_var         ,0},
{"set" "trai""seed"                                          ,"hh"   ,"      d r         ",set_trait_seeds      ,0},
{"set" "trai""tloc"                                          ,"kk"   ,"      d r   alyesw",set_tr_tl            ,0},
{"set" "trai""tloc""geno""mean"                              ,"kkx"  ,"      d        esw",set_tr_tl_geno       ,0},
{"set" "wind""patt"                                          ,"k"    ,"            a     ",set_windpat          ,0},
{"simu""chro""mark"                                          ,"i"    ,"      dir         ",sim_mk_c             ,0},
{"simu""mark"                                                ,""     ,"      dir         ",sim_mk               ,0},
{"simu""tloc"                                                ,"k"    ,"       i          ",sim_tl               ,0},
{"simu""trai"                                                ,"k"    ,"      d           ",sim_tr               ,0},
{"star""addi""corr"                                          ,"x"    ,"  bm              ",start_add_cor        ,0},
{"star""addi""cova"                                          ,"x"    ,"  bm              ",start_add_cov        ,0},
{"star""addi""vari"                                          ,"x"    ,"ugbm              ",start_add_var        ,0},
{"star""resi""corr"                                          ,"x"    ,"  bm              ",start_res_cor        ,0},
{"star""resi""cova"                                          ,"x"    ,"  bm              ",start_res_cov        ,0},
{"star""resi""vari"                                          ,"x"    ,"ugbm              ",start_res_var        ,0},
{"star""trai""effe"                                          ,"iix"  ,"ugbm              ",start_effect         ,0},
{"star""trai""mean"                                          ,"ir"   ,"ugbm              ",start_mean           ,0},
{"use" "full""em"                                            ,""     ,"   m              ",use_full_em          ,0},
{"use" "locu""samp""for" "setu"                              ,""     ,"         qvtalyesw",use_lsmpl_setup      ,0},
{"use" "mcem""and" "sa"  "for" "maxi"                        ,""     ,"         q        ",use_hybrd_maxi       ,0},
{"use" "mcem""only""for" "maxi"                              ,""     ,"         q        ",use_mcem_maxi        ,0},
{"use" "part""em"                                            ,""     ,"   m              ",use_part_em          ,0},
{"use" "sequ""impu""for" "setu"                              ,""     ,"         qvtalyesw",use_sqimp_setup      ,0},
{"use" "sequ""impu""real""for" "setu"                        ,"i"    ,"         qvtalyesw",use_sqimp_realz      ,0},
