/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
#include "quant.h"
#include "peelie.h"

void lik_gauss (double *y)
{
   double lhood;

   lhood = gauss_quant (0.0, y, 1.0, 0);
   printf (" current log-likelihood, by gaussian elimination =");
   print_val (lhood);
   printf ("\n\n\n");
   fflush (stdout);

   return;
}

void lik_peel (int *peelseq, double *y)
{
   double lhood;

   lhood = peel_quant (0.0, y, peelseq, 1.0, 0);
   printf (" current log-likelihood, by peeling              =");
   print_val (lhood);
   printf ("\n");
   fflush (stdout);

   return;
}
